## QmiClientPdc

QmiClientPdc — QmiClient for the PDC service.

## Signals

void | activate-config | Run Last
void | deactivate-config | Run Last
void | get-config-info | Run Last
void | get-selected-config | Run Last
void | list-configs | Run Last
void | load-config | Run Last
void | set-selected-config | Run Last

## Types and Values

struct | QmiClientPdc

## Object Hierarchy

        GObject
        ╰── QmiClient
            ╰── QmiClientPdc

## Description

QmiClient which handles operations in the PDC service.

## Functions

## Types and Values

### struct QmiClientPdc

    struct QmiClientPdc;

The QmiClientPdc structure contains private data and should only be accessed using the provided API.

Since: 1.18

## Signal Details

### The `“activate-config”` signal

    void
    user_function (QmiClientPdc                         *object,
                   QmiIndicationPdcActivateConfigOutput *output,
                   gpointer                              user_data)

The ::activate-config signal gets emitted when a 'Activate Config' indication is received.

#### Parameters

object | A QmiClientPdc. |
output | A QmiIndicationPdcActivateConfigOutput. |
user_data | user data set when the signal handler was connected. |

Flags: Run Last

Since: 1.18

### The `“deactivate-config”` signal

    void
    user_function (QmiClientPdc                           *object,
                   QmiIndicationPdcDeactivateConfigOutput *output,
                   gpointer                                user_data)

The ::deactivate-config signal gets emitted when a 'Deactivate Config' indication is received.

#### Parameters

object | A QmiClientPdc. |
output | A QmiIndicationPdcDeactivateConfigOutput. |
user_data | user data set when the signal handler was connected. |

Flags: Run Last

Since: 1.18

### The `“get-config-info”` signal

    void
    user_function (QmiClientPdc                        *object,
                   QmiIndicationPdcGetConfigInfoOutput *output,
                   gpointer                             user_data)

The ::get-config-info signal gets emitted when a 'Get Config Info' indication is received.

#### Parameters

object | A QmiClientPdc. |
output | A QmiIndicationPdcGetConfigInfoOutput. |
user_data | user data set when the signal handler was connected. |

Flags: Run Last

Since: 1.18

### The `“get-selected-config”` signal

    void
    user_function (QmiClientPdc                            *object,
                   QmiIndicationPdcGetSelectedConfigOutput *output,
                   gpointer                                 user_data)

The ::get-selected-config signal gets emitted when a 'Get Selected Config' indication is received.

#### Parameters

object | A QmiClientPdc. |
output | A QmiIndicationPdcGetSelectedConfigOutput. |
user_data | user data set when the signal handler was connected. |

Flags: Run Last

Since: 1.18

### The `“list-configs”` signal

    void
    user_function (QmiClientPdc                      *object,
                   QmiIndicationPdcListConfigsOutput *output,
                   gpointer                           user_data)

The ::list-configs signal gets emitted when a 'List Configs' indication is received.

#### Parameters

object | A QmiClientPdc. |
output | A QmiIndicationPdcListConfigsOutput. |
user_data | user data set when the signal handler was connected. |

Flags: Run Last

Since: 1.18

### The `“load-config”` signal

    void
    user_function (QmiClientPdc                     *object,
                   QmiIndicationPdcLoadConfigOutput *output,
                   gpointer                          user_data)

The ::load-config signal gets emitted when a 'Load Config' indication is received.

#### Parameters

object | A QmiClientPdc. |
output | A QmiIndicationPdcLoadConfigOutput. |
user_data | user data set when the signal handler was connected. |

Flags: Run Last

Since: 1.18

### The `“set-selected-config”` signal

    void
    user_function (QmiClientPdc                            *object,
                   QmiIndicationPdcSetSelectedConfigOutput *output,
                   gpointer                                 user_data)

The ::set-selected-config signal gets emitted when a 'Set Selected Config' indication is received.

#### Parameters

object | A QmiClientPdc. |
output | A QmiIndicationPdcSetSelectedConfigOutput. |
user_data | user data set when the signal handler was connected. |

Flags: Run Last

Since: 1.18